
class myException {
public:
	myException (uint errnum_=0): errnum(errnum_) {};
	uint errnum;
};


class LogicErr : public myException {
public:
	LogicErr(uint errnum_=0) : myException(errnum_) {};
};

class StreamErr : public myException {
public:
	StreamErr(uint errnum_=0) : myException(errnum_) {};
};


class FileErr : public StreamErr {
public:
	FileErr(uint errnum_=0) : StreamErr(errnum_) {};
};

class NetErr : public StreamErr {
public:
	NetErr(uint errnum_=0) : StreamErr(errnum_) {};
};

class DatabaseErr : public myException {
public: 
	DatabaseErr(uint errnum_=0) : myException(errnum_){};
};

class DatabaseConsistencyErr : public DatabaseErr{
public: 
	DatabaseConsistencyErr(uint errnum_=0) : DatabaseErr(errnum_){};
};